/*
 * View model for OctoPrint-Chamberlight
 *
 * Author: linux-paul
 * License: AGPLv3
 */
$(function() {
    function ChamberlightViewModel(parameters) {
        var self = this;

        // assign the injected parameters, e.g.:
        // self.loginStateViewModel = parameters[0];
        // self.settingsViewModel = parameters[1];

        // TODO: Implement your plugin's view model here.
	self.pluginName = "chamberlight";
	self.rgb = ko.observable();

	self.myclicktest = function (data,event) {
      		var request = {"data": data};
      		$.ajax({
        		type: "GET",
       			dataType: "json",
        		data: request,
        		url: self.buildPluginUrl("/chamberlight")
//        		success: function (data) {
//          			self.getUpdateUI();
//        		}
      		});
    	};

/*	self.getUpdateUI = function () {
		$.ajax({
		        url: self.buildPluginUrl("/updateUI"),
		        type: "GET"
		});
	};
*/
	self.buildPluginUrl = function (path) {
      		return window.PLUGIN_BASEURL + self.pluginName + path;
    	};

    }

    /* view model class, parameters for constructor, container to bind to
     * Please see http://docs.octoprint.org/en/master/plugins/viewmodels.html#registering-custom-viewmodels for more details
     * and a full list of the available options.
     */
    OCTOPRINT_VIEWMODELS.push({
        construct: ChamberlightViewModel,
        // ViewModels your plugin depends on, e.g. loginStateViewModel, settingsViewModel, ...
        dependencies: [ /* "loginStateViewModel", "settingsViewModel" */ ],
        // Elements to bind to, e.g. #settings_plugin_chamberlight, #tab_plugin_chamberlight, ...
        elements: [ "#tab_plugin_chamberlight" ]
    });
});
